package com.bonus.canteen.core.order.deprecated.vo;

import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDate;

public class MacOrdSupermarketPayVO implements Serializable {
   private Integer code;
   private String msg;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("机构全称")
   private String orgFullName;
   @ApiModelProperty("人员头像地址")
   private String custPhotoUrl;
   @ApiModelProperty("个人钱包余额 单位分")
   private Integer walletBal;
   @ApiModelProperty("补贴钱包余额 单位分")
   private Integer subsidyBal;
   @ApiModelProperty("账户余额 单位分")
   private Integer accBal;
   @ApiModelProperty("红包余额 分")
   private Integer redEnvelope;
   @ApiModelProperty("订单总金额 分")
   private Integer amount;
   @ApiModelProperty("实际付款 分")
   private Integer realAmount;
   @ApiModelProperty("减免金额 分")
   private Integer reduceAmount;
   @ApiModelProperty("卡片有效期")
   private LocalDate validityDate;
   private Long ordId;
   @ApiModelProperty("设备订单号")
   private String macOrdId;
   @ApiModelProperty("第三方支付订单号")
   private String thirdPayOrdId;
   @ApiModelProperty("客户手机号")
   private String mobile;
   @ApiModelProperty("支付方式")
   private Integer payType;
   private Integer payAmount;
   private Integer unpaidBalance;

   public String getCustPhotoUrl() {
      return SysUtil.getCutFileUrl(this.custPhotoUrl);
   }

   public Integer getCode() {
      return this.code;
   }

   public String getMsg() {
      return this.msg;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Integer getWalletBal() {
      return this.walletBal;
   }

   public Integer getSubsidyBal() {
      return this.subsidyBal;
   }

   public Integer getAccBal() {
      return this.accBal;
   }

   public Integer getRedEnvelope() {
      return this.redEnvelope;
   }

   public Integer getAmount() {
      return this.amount;
   }

   public Integer getRealAmount() {
      return this.realAmount;
   }

   public Integer getReduceAmount() {
      return this.reduceAmount;
   }

   public LocalDate getValidityDate() {
      return this.validityDate;
   }

   public Long getOrdId() {
      return this.ordId;
   }

   public String getMacOrdId() {
      return this.macOrdId;
   }

   public String getThirdPayOrdId() {
      return this.thirdPayOrdId;
   }

   public String getMobile() {
      return this.mobile;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public Integer getPayAmount() {
      return this.payAmount;
   }

   public Integer getUnpaidBalance() {
      return this.unpaidBalance;
   }

   public void setCode(final Integer code) {
      this.code = code;
   }

   public void setMsg(final String msg) {
      this.msg = msg;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setCustPhotoUrl(final String custPhotoUrl) {
      this.custPhotoUrl = custPhotoUrl;
   }

   public void setWalletBal(final Integer walletBal) {
      this.walletBal = walletBal;
   }

   public void setSubsidyBal(final Integer subsidyBal) {
      this.subsidyBal = subsidyBal;
   }

   public void setAccBal(final Integer accBal) {
      this.accBal = accBal;
   }

   public void setRedEnvelope(final Integer redEnvelope) {
      this.redEnvelope = redEnvelope;
   }

   public void setAmount(final Integer amount) {
      this.amount = amount;
   }

   public void setRealAmount(final Integer realAmount) {
      this.realAmount = realAmount;
   }

   public void setReduceAmount(final Integer reduceAmount) {
      this.reduceAmount = reduceAmount;
   }

   public void setValidityDate(final LocalDate validityDate) {
      this.validityDate = validityDate;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }

   public void setMacOrdId(final String macOrdId) {
      this.macOrdId = macOrdId;
   }

   public void setThirdPayOrdId(final String thirdPayOrdId) {
      this.thirdPayOrdId = thirdPayOrdId;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setPayAmount(final Integer payAmount) {
      this.payAmount = payAmount;
   }

   public void setUnpaidBalance(final Integer unpaidBalance) {
      this.unpaidBalance = unpaidBalance;
   }

}
